Get bond futures series
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"futures_prefix": "futures_prefix",
"roll_days": 0,
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"futures_prefix": "futures_prefix",
"roll_days": 0,
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
futures_prefix: 'futures_prefix',
roll_days: 0,
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'futures_prefix' => 'futures_prefix',
'roll_days' => 0,
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"bond_futures_data": [
{
"date": "date",
"volume": 5.637376656633329,
"high": 2.3021358869347655,
"low": 7.061401241503109,
"bbg_code": "bbg_code",
"ask": 0.8008281904610115,
"settle": 5.962133916683182,
"currency": "currency",
"bid": 6.027456183070403,
"expiration_date": "expiration_date",
"close": 1.4658129805029452,
"ric": "ric"
},
{
"date": "date",
"volume": 5.637376656633329,
"high": 2.3021358869347655,
"low": 7.061401241503109,
"bbg_code": "bbg_code",
"ask": 0.8008281904610115,
"settle": 5.962133916683182,
"currency": "currency",
"bid": 6.027456183070403,
"expiration_date": "expiration_date",
"close": 1.4658129805029452,
"ric": "ric"
}
]
}Get bond futures series
POST
/
api
/
MarketData
/
GetBondFuturesSeries
Get bond futures series
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"end_date": "2000-01-23T04:56:07.000+00:00",
"futures_prefix": "futures_prefix",
"roll_days": 0,
"start_date": "2000-01-23T04:56:07.000+00:00"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries"
payload = {
"end_date": "2000-01-23T04:56:07.000+00:00",
"futures_prefix": "futures_prefix",
"roll_days": 0,
"start_date": "2000-01-23T04:56:07.000+00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
end_date: '2000-01-23T04:56:07.000+00:00',
futures_prefix: 'futures_prefix',
roll_days: 0,
start_date: '2000-01-23T04:56:07.000+00:00'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'end_date' => '2000-01-23T04:56:07.000+00:00',
'futures_prefix' => 'futures_prefix',
'roll_days' => 0,
'start_date' => '2000-01-23T04:56:07.000+00:00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries"
payload := strings.NewReader("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetBondFuturesSeries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"end_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"futures_prefix\": \"futures_prefix\",\n \"roll_days\": 0,\n \"start_date\": \"2000-01-23T04:56:07.000+00:00\"\n}"
response = http.request(request)
puts response.read_body{
"bond_futures_data": [
{
"date": "date",
"volume": 5.637376656633329,
"high": 2.3021358869347655,
"low": 7.061401241503109,
"bbg_code": "bbg_code",
"ask": 0.8008281904610115,
"settle": 5.962133916683182,
"currency": "currency",
"bid": 6.027456183070403,
"expiration_date": "expiration_date",
"close": 1.4658129805029452,
"ric": "ric"
},
{
"date": "date",
"volume": 5.637376656633329,
"high": 2.3021358869347655,
"low": 7.061401241503109,
"bbg_code": "bbg_code",
"ask": 0.8008281904610115,
"settle": 5.962133916683182,
"currency": "currency",
"bid": 6.027456183070403,
"expiration_date": "expiration_date",
"close": 1.4658129805029452,
"ric": "ric"
}
]
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Was this page helpful?